aboutsummaryrefslogtreecommitdiff
path: root/t/t0005-signals.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t0005-signals.sh')
-rwxr-xr-xt/t0005-signals.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/t/t0005-signals.sh b/t/t0005-signals.sh
new file mode 100755
index 000000000..09f855af3
--- /dev/null
+++ b/t/t0005-signals.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+test_description='signals work as we expect'
+. ./test-lib.sh
+
+cat >expect <<EOF
+three
+two
+one
+EOF
+
+test_expect_success 'sigchain works' '
+ test-sigchain >actual
+ case "$?" in
+ 143) true ;; # POSIX w/ SIGTERM=15
+ 3) true ;; # Windows
+ *) false ;;
+ esac &&
+ test_cmp expect actual
+'
+
+test_done